- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Functions
CDRSVGGenerator.cpp File Reference
`#include "CDRSVGGenerator.h"`
`#include "libcdr.h"`
`#include <locale.h>`
`#include <sstream>`
`#include <string>`

## Functions
static std::string | doubleToString (const double value)
static unsigned | stringToColour (const ::WPXString &s)

## Function Documentation

static std::string doubleToString | ( | const double | value | ) |
| static

Referenced by libcdr::CDRSVGGenerator::drawEllipse(), libcdr::CDRSVGGenerator::drawGraphicObject(), libcdr::CDRSVGGenerator::drawPath(), libcdr::CDRSVGGenerator::drawPolySomething(), libcdr::CDRSVGGenerator::drawRectangle(), libcdr::CDRSVGGenerator::setStyle(), libcdr::CDRSVGGenerator::startGraphics(), libcdr::CDRSVGGenerator::startTextObject(), libcdr::CDRSVGGenerator::startTextSpan(), and libcdr::CDRSVGGenerator::writeStyle().

static unsigned stringToColour | ( | const ::WPXString & | s | ) |
| static

Referenced by libcdr::CDRSVGGenerator::setStyle().